Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QwtCurveFitter Class Reference

Abstract base class for a curve fitter. More...

`#include <qwt_curve_fitter.h>`

Inheritance diagram for QwtCurveFitter:
[legend]

List of all members.

## Public Member Functions
virtual QPolygonF | fitCurve (const QPolygonF &polygon) const =0
virtual | ~QwtCurveFitter ()
## Protected Member Functions
| QwtCurveFitter ()

## Detailed Description

Abstract base class for a curve fitter.

## Constructor & Destructor Documentation

QwtCurveFitter::~QwtCurveFitter | ( |  | ) | `[virtual]`

Destructor.

QwtCurveFitter::QwtCurveFitter | ( |  | ) | `[protected]`

Constructor.

## Member Function Documentation

virtual QPolygonF QwtCurveFitter::fitCurve | ( | const QPolygonF & | polygon | ) | const`[pure virtual]`

Find a curve which has the best fit to a series of data points

Parameters:

  polygon | Series of data points

Returns:
  Curve points

Implemented in QwtSplineCurveFitter, and QwtWeedingCurveFitter.